> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pulseshiga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an offramp order by ID



## OpenAPI

````yaml /api-reference/openapi.json get /v1/offramp/orders/{id}
openapi: 3.0.0
info:
  description: Pulse Orchestration API
  title: Pulse API
  contact: {}
  version: '1.0'
servers:
  - url: https://engine-api.shiga.io
    description: Production
  - url: https://engine-api.pilot.pulseshiga.io
    description: Pilot
security: []
paths:
  /v1/offramp/orders/{id}:
    get:
      tags:
        - Offramp
      summary: Get an offramp order by ID
      parameters:
        - description: Order ID
          name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/offramp.Order'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    offramp.Order:
      type: object
      properties:
        created_at:
          type: string
        customer_id:
          type: string
        deposit_address:
          type: string
        destination_amount:
          type: string
          example: '100.50'
        destination_currency:
          type: string
        execution_mode:
          type: string
        flow_type:
          type: string
        id:
          type: string
        metadata:
          type: object
        quoted_rate:
          type: string
          example: '1.25'
        reference:
          type: string
        source_amount:
          type: string
          example: '100.50'
        source_currency:
          type: string
        status:
          type: string
        updated_at:
          type: string
    common.ErrorResponse:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      description: API key authentication
      type: apiKey
      name: X-API-Key
      in: header

````